# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=qtquickcontrols-suru
pkgver=0_git20211123
_commit="428670b63d8d0c32b61c4e0713324e7af6181e4e"
pkgrel=0
pkgdesc='Suru style for QtQuick Controls 2'
arch="all"
url="https://github.com/ubports/qqc2-suru-style"
license="LGPL-3.0-only"
makedepends="qt5-qtbase-dev qt5-qttools-dev qt5-qtquickcontrols2-dev qt5-qtdeclarative-dev"
source="$pkgname-$pkgver-$_commit.tar.gz::https://github.com/ubports/qqc2-suru-style/archive/$_commit.tar.gz"
options="!check" # No test suite
builddir="$srcdir/qqc2-suru-style-$_commit"

build() {
	qmake-qt5
	make
}

package() {
	make INSTALL_ROOT="$pkgdir" install
}

sha512sums="
cc2a8955b9908c82ebd6822f5dc0781ccb11aeb662a8090ff0111feaa4a4c00b51d94fa3eb74e7af9afd3fb0af4546c16534921086d9939ebb9a111a726ee074  qtquickcontrols-suru-0_git20211123-428670b63d8d0c32b61c4e0713324e7af6181e4e.tar.gz
"
